Subject: bug#72184: 31.0.50; typescript-ts-mode does not bind RET to newline-and-indent

From: Jostein Kjønigsen <[email-masked]>
Date: Sat, 27 Jul 2024 13:50:19 +0200

I’m on a vacation with the family, and without a laptop. I won’t be able to provide more thorough feedback until I’m back and can re-test various configurations.

I might be able to look into this in a week or so. Is that good?

--
Jostein Kjønigsen
https://jostein.kjønigsen.net

> On 27 Jul 2024, at 09:21, Eli Zaretskii <[email-masked]> wrote:
> 
> 
>> 
>> Cc: [email-masked]
>> Date: Sat, 20 Jul 2024 03:22:47 +0300
>> From: Dmitry Gutov <[email-masked]>
>> 
>>> On 19/07/2024 00:30, Andrea Corallo wrote:
>>> Jostein Kjønigsen<[email-masked]>  writes:
>>> 
>>>> When using typescript-ts-mode in a bare config without any custom hooks defined,
>>>> RET ends up being bound (by default) to `newline`.
>>>> 
>>>> This is suboptimal, given that users typically want newlines to be indented.
>>>> 
>>>> RET should instead be bound to `newline-and-indent`.
>>> Hi,
>>> 
>>> AFAIK this is what we tipically do, like: c-mode, c-ts-mode, lisp-mode,
>>> emacs-lisp-mode etc.  Why 'typescript-ts-mode' should be different?
>> 
>> Right, we normally handle automatic indentation using
>> electric-indent-mode (which is on by default).
>> 
>> If RET behaves incorrectly in typescript-ts-mode somehow, more details
>> should be provided.
> 
> Jostein, could you please respond, so that we could make progress
> here?
> 
> Thanks.